Package org.w3c.tidy

# Class DOMTextImpl

java.lang.Object
org.w3c.tidy.DOMNodeImpl
org.w3c.tidy.DOMCharacterDataImpl
org.w3c.tidy.DOMTextImpl

All Implemented Interfaces:
  `CharacterData`, `Node`, `Text`

Direct Known Subclasses:
  `DOMCDATASectionImpl`

public class DOMTextImpl extends DOMCharacterDataImpl implements Text
DOMTextImpl.

Version:
  $Revision: 738 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

### Fields inherited from class org.w3c.tidy.DOMNodeImpl

`adaptee`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DOMTextImpl(Node adaptee)`
Instantiates a new DOM text node.

## Method Summary

Modifier and Type
Method
Description
`String`
`getNodeName()`
`short`
`getNodeType()`
`String`
`getWholeText()`
`boolean`
`isElementContentWhitespace()`
`Text`
`replaceWholeText(String content)`
`Text`
`splitText(int offset)`

### Methods inherited from class org.w3c.tidy.DOMCharacterDataImpl

`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

### Methods inherited from class org.w3c.tidy.DOMNodeImpl

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, supports`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.CharacterData

`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Constructor Details

### DOMTextImpl

protected DOMTextImpl(Node adaptee)
Instantiates a new DOM text node.

Parameters:
  `adaptee` - wrapped Tidy node

## Method Details

### getNodeName

public String getNodeName()

Specified by:
  `getNodeName` in interface `Node`
Overrides:
  `getNodeName` in class `DOMNodeImpl`
See Also:
  - `Node.getNodeName()`

### getNodeType

public short getNodeType()

Specified by:
  `getNodeType` in interface `Node`
Overrides:
  `getNodeType` in class `DOMNodeImpl`
See Also:
  - `Node.getNodeType()`

### splitText

public Text splitText(int offset) throws DOMException

Specified by:
  `splitText` in interface `Text`
Throws:
  `DOMException`
See Also:
  - `Text.splitText(int)`
To Do:
  DOM level 2 splitText() Not supported. Throws NO_MODIFICATION_ALLOWED_ERR.

### getWholeText

public String getWholeText()

Specified by:
  `getWholeText` in interface `Text`
See Also:
  - `Text.getWholeText()`
To Do:
  DOM level 3 getWholeText() Not implemented. Returns null.

### isElementContentWhitespace

public boolean isElementContentWhitespace()

Specified by:
  `isElementContentWhitespace` in interface `Text`
See Also:
  - `Text.isElementContentWhitespace()`
To Do:
  DOM level 3 isElementContentWhitespace() Not implemented. Returns false.

### replaceWholeText

public Text replaceWholeText(String content) throws DOMException

Specified by:
  `replaceWholeText` in interface `Text`
Throws:
  `DOMException`
See Also:
  - `Text.isElementContentWhitespace()`
To Do:
  DOM level 3 replaceWholeText() Not implemented. Returns the same node.